image: glvx/bb_pipeline

pipelines:
  custom: 
    standard:
    - step:
         name: "Default ARES testing"
         script: 
           - git submodule init && git submodule update
           - BOOST_LIB_DIR=/opt/boost1.71/lib bash build.sh --build-dir build-bb --use-system-hdf5 --use-system-boost --use-system-fftw /usr --use-system-gsl 
           - cd build-bb
           - make
           - make test
    full:
      - step:
         script: 
           - git submodule init && git submodule update
           - bash get-aquila-modules.sh --clone
           - bash get-aquila-modules.sh --branch-set
           - bash build.sh --download-deps
           - BOOST_LIB_DIR=/opt/boost1.71/lib bash build.sh --use-system-hdf5 --use-system-boost --use-system-fftw /usr --use-system-gsl 
           - cd build
           - make
           - make test
